# Generated from numru-units-1.9.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name numru-units

Name: rubygem-%{gem_name}
Version: 1.9.0
Release: 1%{?dist}
Summary: Class to handle units of physical quantities
License: Takeshi Horinouchi and GFD Dennou Club
URL: http://www.gfd-dennou.org/arch/ruby/products/numru-units/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This is a class to handle units of physical quantities. It covers most
functionality of UNIDATA's UDUNITS Library, however, with a more sophisticated
handling of string expressions. See the documentation for more infomation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/install.rb
%{gem_libdir}
%{gem_instdir}/src
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/numru-units.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.9.0-1
- Initial package
